[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Int

Calculate integer part of floating point value.

## Declaration

Source position: mathh.inc line 116

`function Int(`
`d: ValReal`
`):ValReal;`

## Description

Int returns the integer part of any Real X, as a Real.

## Errors

None.

## See also

Frac |  | Return fractional part of floating point value.
Round |  | Round floating point value to nearest integer number.

## Example

    Program Example34;

    { Program to demonstrate the Int function. }

    begin
      Writeln (Int(123.456):0:1);  { Prints  123.0 }
      Writeln (Int(-123.456):0:1); { Prints -123.0 }
    end.